Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80603 - log file size problem
Summary: log file size problem
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: httpd
Version: 9
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL: http://httpd.apache.org
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-12-28 17:04 UTC by Christopher McCrory
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-09-08 15:28:20 UTC


Attachments (Terms of Use)

Description Christopher McCrory 2002-12-28 17:04:37 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
apache stops logging when log file reaches 2 gigs

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install httpd
2. have lots of people visit site
3. when apache log reaches 2 gigs no more accesses will be logged
    

Actual Results:  no logs  ( data loss )

Expected Results:  continue logging  ( no data loss )

Additional info:

at least it doesn't crash like apache 1.3.x ;)

Comment 1 Warren Togami 2002-12-28 21:38:12 UTC
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=78537
In Red Hat 8.0 I'm seeing intermittent failures of httpd.  Most of the time it
is related to the 2GB limit, but sometimes it isn't.


Comment 2 Joe Orton 2003-09-08 15:28:20 UTC
Deferring this for Cambridge until it's supported upstream.  The Taroon httpd
package has a patch to allow >2gb access logs BTW.


Note You need to log in before you can comment on or make changes to this bug.